1. Members
Deepgram
  • Projects
    • Analyze Text
      POST
    • Get Projects
      GET
    • Update Project
      PATCH
    • Delete Project
      DELETE
  • Keys
    • Get Keys
      GET
    • Get Key
      GET
    • Create Key
      POST
    • Delete Key
      DELETE
  • Members
    • Get Members
      GET
    • Remove Member
      DELETE
  • Scopes
    • Get Member Scopes
      GET
    • Update Scope
      PUT
  • invitations
    • Get Invites
      GET
    • Send Invite
      POST
    • Delete Invite
      DELETE
    • Leave Project
      DELETE
  • Usage
    • Get All Requests
      GET
    • Get Request
      GET
    • Summarize Usage
      GET
    • Get Fields
      GET
  • Billing
    • Get Balances
      GET
    • Get Balance
      GET
  • Transcribe & Analyze - Local file
    POST
  • Transcribe & Analyze - Remote file
    POST
  • Transform Text-to-Speech - REST
    POST
  1. Members

Remove Member

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
DELETE
/v1/projects/{project_id}/members/{member_id}
Removes the specified account from the specified project
API keys created by this member for the specified project will also be deleted.
If the account being removed has scope member, then the requesting account must have scope members:write:kick. If the account being removed has scope admin, then the requesting account must have scope admins:write:kick. If the account being removed has scope owner, then the requesting account must have scope owners:write:kick. The account being removed must not be the sole account with the scope owner.
Required account scope(s): project:write. Required project scopes(s): members:write:kick, admins:write:kick, owners:write:kick. Read more about roles and scopes.

Request

Path Params

Responses

🟢200Success
application/json
Body

🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://dev.your-api-server.com/v1/projects//members/'
Response Response Example
200 - Example 1
{}
Modified at 2024-07-29 06:12:42
Previous
Get Members
Next
Get Member Scopes
Built with